GlyfTable.GlyfFlags (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fonts.truetype

## Enum GlyfTable.GlyfFlags

- java.lang.Object
- - java.lang.Enum<GlyfTable.GlyfFlags>
  - - org.apache.fop.fonts.truetype.GlyfTable.GlyfFlags

- All Implemented Interfaces:
    Serializable, Comparable<GlyfTable.GlyfFlags>
  Enclosing class:
    GlyfTable

      public static enum GlyfTable.GlyfFlags
      extends Enum<GlyfTable.GlyfFlags>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARG_1_AND_2_ARE_WORDS`
    `ARGS_ARE_XY_VALUES`
    `MORE_COMPONENTS`
    `OVERLAP_COMPOUND`
    `RESERVED`
    `ROUND_XY_TO_GRID`
    `SCALED_COMPONENT_OFFSET`
    `UNSCALED_COMPONENT_OFFSET`
    `USE_MY_METRICS`
    `WE_HAVE_A_SCALE`
    `WE_HAVE_A_TWO_BY_TWO`
    `WE_HAVE_AN_X_AND_Y_SCALE`
    `WE_HAVE_INSTRUCTIONS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getOffsetToNextComposedGlyf(int flags)` Calculates, from the given flags, the offset to the next glyph index.
    `static boolean` | `hasMoreComposites(int flags)` Checks the given flags to see if there is another composed glyph.
    `static GlyfTable.GlyfFlags` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GlyfTable.GlyfFlags[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARG_1_AND_2_ARE_WORDS

          public static final GlyfTable.GlyfFlags ARG_1_AND_2_ARE_WORDS

    - #### ARGS_ARE_XY_VALUES

          public static final GlyfTable.GlyfFlags ARGS_ARE_XY_VALUES

    - #### ROUND_XY_TO_GRID

          public static final GlyfTable.GlyfFlags ROUND_XY_TO_GRID

    - #### WE_HAVE_A_SCALE

          public static final GlyfTable.GlyfFlags WE_HAVE_A_SCALE

    - #### RESERVED

          public static final GlyfTable.GlyfFlags RESERVED

    - #### MORE_COMPONENTS

          public static final GlyfTable.GlyfFlags MORE_COMPONENTS

    - #### WE_HAVE_AN_X_AND_Y_SCALE

          public static final GlyfTable.GlyfFlags WE_HAVE_AN_X_AND_Y_SCALE

    - #### WE_HAVE_A_TWO_BY_TWO

          public static final GlyfTable.GlyfFlags WE_HAVE_A_TWO_BY_TWO

    - #### WE_HAVE_INSTRUCTIONS

          public static final GlyfTable.GlyfFlags WE_HAVE_INSTRUCTIONS

    - #### USE_MY_METRICS

          public static final GlyfTable.GlyfFlags USE_MY_METRICS

    - #### OVERLAP_COMPOUND

          public static final GlyfTable.GlyfFlags OVERLAP_COMPOUND

    - #### SCALED_COMPONENT_OFFSET

          public static final GlyfTable.GlyfFlags SCALED_COMPONENT_OFFSET

    - #### UNSCALED_COMPONENT_OFFSET

          public static final GlyfTable.GlyfFlags UNSCALED_COMPONENT_OFFSET

  - ### Method Detail

    - #### values

          public static GlyfTable.GlyfFlags[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GlyfTable.GlyfFlags c : GlyfTable.GlyfFlags.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GlyfTable.GlyfFlags valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getOffsetToNextComposedGlyf

          public static int getOffsetToNextComposedGlyf(int flags)

      Calculates, from the given flags, the offset to the next glyph index.
      Parameters:
        `flags` - the glyph data flags
      Returns:
        offset to the next glyph if any, or 0

    - #### hasMoreComposites

          public static boolean hasMoreComposites(int flags)

      Checks the given flags to see if there is another composed glyph.
      Parameters:
        `flags` - the glyph data flags
      Returns:
        true if there is another composed glyph, otherwise false.

Copyright © 2025 Apache Software Foundation. All rights reserved.